"""Includes all the methods available to the base class."""
import logging
from os import getenv


class Netbox:  # pylint: disable=R0903
    """Includes all the methods available to the base class."""

    def __init__(self, url, token, verify=True):
        self.url = getenv("NETBOX_URL") or url
        self.base_url = f"{self.url}/api"
        self.token = getenv("NETBOX_TOKEN") or token
        self.verify = verify
        self.headers = dict({"X-Auth-Token": self.token})
        logging.basicConfig(level=logging.DEBUG)
