"""Includes all the methods available to the Status endpoint"""
from requests import get

from netbox_handler.netbox import Netbox


class Status(Netbox):  # pylint: disable=R0903
    """Includes all the methods available to the Status endpoint"""

    def __init__(self, url=None, token=None, verify=True):
        super().__init__(url, token, verify)
        self.url = f"{self.base_url}/status/"

    def status_list(self):
        """A lightweight read-only endpoint for conveying Netbox's current operational status."""
        return get(self.url, headers=self.headers, verify=self.verify)
